<?php
require_once(dirname(__FILE__)."/"."global.php");
!$aid && $aid = intval($id);
$id = $aid;
$page<1 && $page=1;

/**
*获取文章
**/
$min=intval($page)-1;
$erp=$Fid_db[iftable][$fid]?$Fid_db[iftable][$fid]:'';
$rsdb=$db->get_one("SELECT R.*,A.* FROM {$pre}article$erp A LEFT JOIN {$pre}reply$erp R ON A.aid=R.aid WHERE A.aid=$aid ORDER BY R.topic DESC,R.orderid ASC LIMIT $min,1");

if(!$rsdb){
	showerr("数据不存在!");
}elseif($fid!=$rsdb[fid]){
	showerr("FID有误");
}

/**
*栏目配置文件
**/
$fidDB=$db->get_one("SELECT S.*,M.alias AS M_alias,M.keywords AS M_keyword,M.config AS M_config FROM {$pre}sort S LEFT JOIN {$pre}article_module M ON S.fmid=M.id WHERE S.fid='$fid'");
$fidDB[M_alias] || $fidDB[M_alias]='文章';
$fidDB[M_config]=unserialize($fidDB[M_config]);
$fidDB[config]=unserialize($fidDB[config]);
$FidTpl=unserialize($fidDB[template]);

$fupId=intval($fidDB[type]?$fid:$fidDB[fup]);

$GuideFidStr="<a href='wapindex.php'>首页</a>";
if($Fid_db[name][$fidDB[fup]]){
	$GuideFidStr.=" -&gt; <a href='waplist.php?fid=$fidDB[fup]'>{$Fid_db[name][$fidDB[fup]]}</a> -&gt; <a href='waplist.php?fid=$fid'>$fidDB[name]</a>";
}else{
	$GuideFidStr.=" -&gt; <a href='waplist.php?fid=$fid'>$fidDB[name]</a>";
}

/**
*文章检查
**/
check_article($rsdb);

//统计点击次数
$db->query("UPDATE {$pre}article$erp SET hits=hits+1,lastview='$timestamp' WHERE aid='$aid'");

//SEO
$titleDB[title]		= filtrate(strip_tags("$rsdb[title] - $fidDB[name] - $webdb[webname]"));
$titleDB[keywords]	= filtrate($rsdb[keywords]);
$rsdb[description] || $rsdb[description]=get_word(preg_replace("/(<([^<]+)>|	|&nbsp;|\n)/is","",$rsdb[content]),250);
$titleDB[description] = filtrate($rsdb[description]);


//文章分页
$showpage = getpage("","","bencandy.php?fid=$fid&aid=$aid",1,$rsdb[pages]);

//文章自定义模型$fidDB[config]
$OtherArtile="";
if($rsdb[mid]){
	if($rsdb[mid]!=$fidDB[fmid]){
		@extract($db->get_one("SELECT config AS m_config FROM {$pre}article_module WHERE id='$rsdb[mid]'"));
		$M_config=unserialize($m_config);
	}else{
		$M_config=$fidDB[M_config];
	}	
	
	$_rsdb=$db->get_one("SELECT * FROM `{$pre}article_content_$rsdb[mid]` WHERE aid='$id' AND rid='$rsdb[rid]'");
	if($_rsdb){
		$rsdb=$rsdb+$_rsdb;
		show_module_content($M_config);
	}

	$OtherArtile.="<div class='OtherArtile'>\r\n<div class='head'>其他信息</div>\r\n";
	foreach($M_config[field_db] AS $key=>$rs){
		if($rsdb[$key]){
			$OtherArtile.="<ul class='lists'>\r\n<ol class='keys'>{$rs[title]}</ol>\r\n<li class='values'>{$rsdb[$key]}{$rs[form_units]}</li>\r\n</ul>\r\n";
		}
	}
	$OtherArtile.="</div>";
}

/**
*上一篇与下一篇,比较影响速度
*
$nextdb=$db->get_one("SELECT title,aid,fid FROM {$pre}article$erp WHERE aid<'$id' AND fid='$fid' AND yz=1 ORDER BY aid DESC LIMIT 1");
$backdb=$db->get_one("SELECT title,aid,fid FROM {$pre}article$erp WHERE aid>'$id' AND fid='$fid' AND yz=1 ORDER BY aid ASC LIMIT 1");
*/
require(html('wapbencandy'));

/**
*文章检查
**/
function check_article(&$rsdb){
	global $fidDB,$timestamp,$web_admin,$groupdb,$timestamp,$lfjid,$lfjuid,$fid,$id,$aid,$buy,$lfjdb,$webdb,$pre,$db;
	if(!$rsdb)
	{
		showerr("文章不存在");
	}
	//if( $fidDB[allowviewcontent]&&!in_array($fidDB[M_keyword],array('mv','download')) )
	if( $fidDB[allowviewcontent] )
	{
		if( !$web_admin&&!in_array($groupdb[gid],explode(",",$fidDB[allowviewcontent])) )
		{
			showerr("你所在用户组不允许浏览文章内容");
		}
	}
	
	//if( $rsdb[allowview]&&!in_array($fidDB[M_keyword],array('mv','download')) )
	if( $rsdb[allowview] )
	{
		if( !$web_admin&&!in_array($groupdb[gid],explode(",",$rsdb[allowview])) )
		{
			showerr("本文,你所在用户组不允许浏览文章内容");
		}
	}

	//设置了开始浏览日期限制
	if($rsdb[begintime]&&$timestamp<$rsdb[begintime])
	{
		$rsdb[begintime]=date("Y-m-d H:i:s",$rsdb[begintime]);
		if($web_admin){
			 Remind_msg("本文只有到了“{$rsdb[begintime]}”那个时间才可以查看,因为你是管理员,所以可以查看,其他人是不能查看的");
		}else{
			showerr("<font color='red' ><u>很抱歉,发布者设置了本文内容只有到了“{$rsdb[begintime]}”那个时间才可以查看</u></font>");
		}
	}

	//设置了失效浏览日期限制
	if($rsdb[endtime]&&$timestamp>$rsdb[endtime])
	{
		$rsdb[endtime]=date("Y-m-d H:i:s",$rsdb[endtime]);
		if($web_admin){
			 Remind_msg("本文内容最后查看期限是“{$rsdb[endtime]}”,因为你是管理员,所以可以查看,其他人是不能查看的");
		}else{
			showerr("<font color='red' ><u>很抱歉,发布者设置了本文内容最后查看期限是“{$rsdb[endtime]}”，现在已超过了这个期限，所以不能查看</u></font>");
		}
	}

	if($rsdb[yz]==2){
		if($web_admin){
			 Remind_msg("回收站的内容不可以查看,因为你是管理员,所以可以查看,其他人是不能查看的");
		}else{
			showerr("回收站的内容你不可以查看");
		}
	}
	//未审核
	if($rsdb[yz]==0&&(!$lfjid||$lfjuid!=$rsdb[uid]))
	{
		if($web_admin){
			 Remind_msg("本文还没通过验证,因为你是管理员,所以可以查看,其他人是不能查看的");
		}else{
			showerr("<font color='red' ><u>很抱歉,本文还没通过验证,你不能查看</u></font>");
		}
	}

	//定时发布
	if($rsdb[yz]==3&&$rsdb[begintime]>$timestamp)
	{
		if($web_admin){
			 Remind_msg("本文为定时发布,时间没到,不能查看,因为你是管理员,所以可以查看,其他人是不能查看的");
		}elseif($lfjuid&&$lfjuid==$rsdb[uid]){
			 Remind_msg("本文为定时发布,时间没到,不能查看,因为你是作者,所以可以查看,其他人是不能查看的");
		}else{
			showerr("<font color='red' ><u>本文为定时发布,时间没到,不能查看</u></font>");
		}
	}elseif($rsdb[yz]==3){
		corntab_post('DE',$rsdb[aid]);	//处理发布
	}

	//跳转到外面
	if($rsdb[jumpurl])
	{
		echo "页面正在跳转中，请稍候...<META HTTP-EQUIV=REFRESH CONTENT='0;URL=$rsdb[jumpurl]'>";
		exit;
	}

	//文章密码
	if($rsdb[passwd])
	{
		if($web_admin)
		{
			 Remind_msg("本文设置了密码,因为你是管理员,所以可以查看,其他人是不能查看的");
		}
		else
		{
			if( $_POST[password] && $_POST[TYPE] == 'article'  )
			{
				if( $_POST[password] != $rsdb[passwd] )
				{
					echo "<A HREF=\"bencandy.php?fid=$fid&NeedCheck=1&aid=$aid\">密码不正确,点击返回</A>";
					exit;
				}
				else
				{
					setcookie("article_passwd_$id",$rsdb[passwd]);
					$_COOKIE["article_passwd_$id"]=$rsdb[passwd];
				}
			}
			if( $_COOKIE["article_passwd_$id"] != $rsdb[passwd] )
			{
				echo "<CENTER><form name=\"form1\" method=\"post\" action=\"\">请输入文章密码:<input type=\"password\" name=\"password\"><input type=\"hidden\" name=\"TYPE\" value=\"article\"><input type=\"hidden\" name=\"NeedCheck\" value=\"1\"><input type=\"submit\" name=\"Submit\" value=\"提交\"></form></CENTER>";
				exit;
			}
		}
	}

	//栏目密码
	if( $makehtml!=2 && $fidDB[passwd] )
	{
		if($web_admin)
		{
			 Remind_msg("本栏目设置了密码,因为你是管理员,所以可以查看,其他人是不能查看的");
		}
		else
		{
			if( $_POST[password] && $_POST[TYPE] == 'sort' )
			{
				if( $_POST[password] != $fidDB[passwd] )
				{
					echo "<A HREF=\"?fid=$fid&aid=$aid\">密码不正确,点击返回</A>";
					exit;
				}
				else
				{
					setcookie("sort_passwd_$fid",$fidDB[passwd]);
					$_COOKIE["sort_passwd_$fid"]=$fidDB[passwd];
				}
			}
			if( $_COOKIE["sort_passwd_$fid"] != $fidDB[passwd] )
			{
				echo "<CENTER><form name=\"form1\" method=\"post\" action=\"\">请输入栏目密码:<input type=\"password\" name=\"password\"><input type=\"hidden\" name=\"TYPE\" value=\"sort\"><input type=\"hidden\" name=\"NeedCheck\" value=\"1\"><input type=\"submit\" name=\"Submit\" value=\"提交\"></form></CENTER>";
				exit;
			}
		}
	}

	//积分处理 
	//if( ($rsdb[money]=abs($rsdb[money]))&&!in_array($fidDB[M_keyword],array('mv','download')) ){
	if( $rsdb[money]=abs($rsdb[money]) ){
		
		if($webdb[view_sell_article]){
			$content = preg_replace('/<([^<]*)>/is',"",$rsdb[content]);
			$num = floor(strlen($content)/3);
			$content = substr($content,0,$num);
		}
		
		if(!$lfjuid)
		{
			if($webdb[view_sell_article]){
				$rsdb[content] = "$content<div style='border:1px solid red;padding:10px;background:eee;'>请先登录,需要支付{$rsdb[money]}{$webdb[MoneyName]}才能查看全部内容</div>";
			}else{
				showerr("请先登录,需要支付{$rsdb[money]}{$webdb[MoneyName]}才能查看");
			}			
		}
		elseif($web_admin)
		{
			 Remind_msg("本文设置了收费,因为你是管理员,所以可以查看,其他人是不能查看的");
		}
		elseif($lfjuid==$rsdb[uid])
		{
			 Remind_msg("本文设置了收费,因为你是发布者,所以可以查看,其他人是不能查看的");
		}
		elseif( !strstr($rsdb[buyuser],",$lfjid,") )
		{
			$lfjdb[money]=get_money($lfjuid);
			if($lfjdb[money]<$rsdb[money])
			{
				if($webdb[view_sell_article]){
					$rsdb[content] = "$content<div style='border:1px solid red;padding:10px;background:eee;'>你的{$webdb[MoneyName]}不足$rsdb[money],不能查看全部内容</div>";
				}else{
					showerr("你的{$webdb[MoneyName]}不足$rsdb[money]");
				}
			}
			elseif($buy==1)
			{
				add_user($lfjuid,"-$rsdb[money]",'查看文章内容扣分');
				add_user($rsdb[uid],"$rsdb[money]",'文章被浏览奖分');
				$rsdb[buyuser]=$rsdb[buyuser]?",{$lfjid}{$rsdb[buyuser]}":",$lfjid,";
				$erp=get_id_table($id);
				$db->query("UPDATE {$pre}article$erp SET buyuser='$rsdb[buyuser]' WHERE aid=$id");
				refreshto("bencandy.php?fid=$fid&NeedCheck=1&id=$id","购买成功,你刚刚消耗了{$webdb[MoneyName]}{$rsdb[money]}{$webdb[MoneyDW]}",3);
			}
			else
			{
				if($webdb[view_sell_article]){
					$rsdb[content] = "$content<div style='border:1px solid red;padding:10px;background:eee;'>你需要消耗{$webdb[MoneyName]}{$rsdb[money]}{$webdb[MoneyDW]}才有权限查看全部内容,是否继续<br><br>[<A HREF='bencandy.php?fid=$fid&buy=1&NeedCheck=1&id=$id'>我要继续</A>]</div>";
				}else{
					showerr("你需要消耗{$webdb[MoneyName]}{$rsdb[money]}{$webdb[MoneyDW]}才有权限查看,是否继续<br><br>[<A HREF='bencandy.php?fid=$fid&buy=1&NeedCheck=1&id=$id'>我要继续</A>]");
				}
			}
		}
	}
}
?>